#ifndef __INVERTED_INDEX_H__
#define __INVERTED_INDEX_H__

#include <string>
#include <map>
#include <list>

extern "C"{
	void load(const char*);
}

class invertedindex
{
public:
	invertedindex(const std::string);
	void load();

private:
	std::string _file;
	std::map<std::string, std::list<unsigned long> > _index;

};





#endif


